# Uses of Class
org.apache.commons.math3.random.UnitSphereRandomVectorGenerator

Packages that use UnitSphereRandomVectorGenerator
Package
Description
org.apache.commons.math3.analysis.interpolation
Univariate real functions interpolation algorithms.

## Uses of UnitSphereRandomVectorGenerator in org.apache.commons.math3.analysis.interpolation

Constructors in org.apache.commons.math3.analysis.interpolation with parameters of type UnitSphereRandomVectorGenerator
Modifier
Constructor
Description
``
`InterpolatingMicrosphere(int dimension, int size, double maxDarkFraction, double darkThreshold, double background, UnitSphereRandomVectorGenerator rand)`
Create a sphere from randomly sampled vectors.
``
`MicrosphereInterpolatingFunction(double[][] xval, double[] yval, int brightnessExponent, int microsphereElements, UnitSphereRandomVectorGenerator rand)`
Deprecated.